Conexiones
Obtener el catálogo de un proveedor
Devuelve el esquema que debes completar para crear una conexión con un proveedor determinado.
GET
/
connections
/
catalog
/
{provider_id}
Obtener el catálogo de proveedores
curl --request GET \
--url https://api-sandbox.y.uno/v1/connections/catalog/{provider_id} \
--header 'PRIVATE-SECRET-KEY: <api-key>' \
--header 'PUBLIC-API-KEY: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}"
headers = {
"PUBLIC-API-KEY": "<api-key>",
"PRIVATE-SECRET-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'PUBLIC-API-KEY': '<api-key>', 'PRIVATE-SECRET-KEY': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PRIVATE-SECRET-KEY: <api-key>",
"PUBLIC-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PUBLIC-API-KEY", "<api-key>")
req.Header.Add("PRIVATE-SECRET-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}")
.header("PUBLIC-API-KEY", "<api-key>")
.header("PRIVATE-SECRET-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PUBLIC-API-KEY"] = '<api-key>'
request["PRIVATE-SECRET-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payment_method_type": [
"CARD",
"GOOGLE_PAY",
"APPLE_PAY",
"ACH",
"KLARNA_PAY_NOW",
"KLARNA_PAY_LATER",
"IDEAL",
"GIROPAY",
"BANCONTACT",
"SEPA_DEBIT"
],
"params": [
{
"param_id": "API_KEY",
"field_type": "string",
"description": "Stripe Secret API Key",
"editable_field": true,
"optional": false,
"secret": true
}
]
}{
"type": "auth_error",
"code": "INSUFFICIENT_SCOPE",
"message": "API key is missing required scope 'connections:read'"
}{
"type": "not_found",
"code": "PROVIDER_NOT_FOUND",
"message": "Provider 'NOT_A_PROVIDER' is not in the Yuno provider catalog"
}Devuelve el esquema que debes completar para crear una conexión con un proveedor determinado: qué métodos de pago admite el proveedor y la lista recursiva de parámetros (credenciales, interruptores, opciones) que el proveedor requiere.
Este es el endpoint de descubrimiento: llámalo primero para saber qué espera un proveedor y luego usa su respuesta como entrada de Crear una conexión.
Este endpoint está limitado al proveedor, no a la conexión. Devuelve un esquema, no tus conexiones existentes.
Parámetros de ruta
Identificador de proveedor de Yuno (
STRIPE, ADYEN, CYBERSOURCE, …). Distingue mayúsculas y minúsculas, UPPER_SNAKE_CASE.Respuesta
Los enums de método de pago de Yuno que admite este proveedor. Pasa cualquiera de estos valores en
payment_methods[] en Crear una conexión.Esquema de parámetros recursivo.
Mostrar elemento
Mostrar elemento
Identificador que debes devolver en
POST /v1/connections.params[].param_id. Respeta las mayúsculas y minúsculas tal cual.Etiqueta visible. Puede ser un string simple o un objeto de localización
{ "EN": "...", "ES": "...", "PT": "..." }.Si es
true, el valor es sensible: se almacena cifrado y se muestra como "***" en lecturas posteriores.Solo tiene sentido cuando
options[] está presente. Si es true, puedes enviar un valor de formato libre junto con las opciones del catálogo (semántica de combobox).Presente cuando el campo es un enum restringido. Con
field_type = "string" → selección única. Con field_type = "array" → selección múltiple. Strings simples u objetos {value, params} (estos últimos cuando una opción lleva sus propios parámetros anidados).curl -X GET 'https://api.y.uno/v1/connections/catalog/STRIPE' \
-H 'public-api-key: <YOUR_PUBLIC_KEY>' \
-H 'private-secret-key: <YOUR_SECRET_KEY>'
{
"payment_method_type": [
"CARD",
"GOOGLE_PAY",
"APPLE_PAY",
"ACH",
"KLARNA_PAY_NOW",
"KLARNA_PAY_LATER",
"IDEAL",
"GIROPAY",
"BANCONTACT",
"SEPA_DEBIT"
],
"params": [
{
"param_id": "API_KEY",
"field_type": "string",
"secret": true,
"description": "Stripe Secret API Key",
"editable_field": true,
"optional": false
},
{
"param_id": "PUBLISHABLE_KEY",
"field_type": "string",
"description": "Stripe Publishable Key",
"editable_field": true,
"optional": false
},
{
"param_id": "INTEGRATION_TYPE",
"field_type": "string",
"description": "Stripe integration variant",
"editable_field": true,
"optional": false,
"options": [
"PAYMENT_INTENTS",
"CHARGES",
"CONNECT_DESTINATION"
]
},
{
"param_id": "3DS_ENABLED",
"field_type": "boolean",
"description": "Enable 3DS validation flow",
"editable_field": true,
"optional": true,
"params": [
{
"param_id": "ORIGIN_URL",
"field_type": "string",
"description": "Your checkout origin URL",
"editable_field": true,
"optional": true
}
]
}
]
}
{
"type": "not_found",
"code": "PROVIDER_NOT_FOUND",
"message": "Provider 'NOT_A_PROVIDER' is not in the Yuno provider catalog",
"details": { "provider_id": "NOT_A_PROVIDER" }
}
{
"type": "auth_error",
"code": "INSUFFICIENT_SCOPE",
"message": "API key is missing required scope 'connections:read'",
"details": { "required_scope": "connections:read" }
}
Cómo leer un nodo
| Lo que ves | Qué significa |
|---|---|
field_type: "string", sin options[] | Campo de texto de formato libre. |
field_type: "string", secret: true | Contraseña / clave de API: solo escritura. Se devuelve como "***" en GET. |
field_type: "string", options[] presente | Enum de opción única. El valor que envíes debe ser uno de options[]. |
field_type: "string", options[] presente, allow_custom: true | Combobox. Envía uno de options[] o un valor de formato libre. |
field_type: "boolean" | Interruptor. Establecerlo en true activa los params[] anidados y hace obligatorios a sus hijos con optional: false. |
field_type: "array", options[] presente | Selección múltiple. Envía un arreglo JSON cuyos elementos sean un subconjunto de options[]. |
field_type: "array", sin options[] | Lista de strings de formato libre. |
Errores
| HTTP | code | Cuándo |
|---|---|---|
404 | PROVIDER_NOT_FOUND | El provider_id no está en el catálogo de proveedores de Yuno. |
403 | INSUFFICIENT_SCOPE | A tu clave de API le falta el scope connections:read. |
Autorizaciones
¿Esta página le ayudó?
⌘I
Obtener el catálogo de proveedores
curl --request GET \
--url https://api-sandbox.y.uno/v1/connections/catalog/{provider_id} \
--header 'PRIVATE-SECRET-KEY: <api-key>' \
--header 'PUBLIC-API-KEY: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}"
headers = {
"PUBLIC-API-KEY": "<api-key>",
"PRIVATE-SECRET-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'PUBLIC-API-KEY': '<api-key>', 'PRIVATE-SECRET-KEY': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PRIVATE-SECRET-KEY: <api-key>",
"PUBLIC-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PUBLIC-API-KEY", "<api-key>")
req.Header.Add("PRIVATE-SECRET-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}")
.header("PUBLIC-API-KEY", "<api-key>")
.header("PRIVATE-SECRET-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/connections/catalog/{provider_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PUBLIC-API-KEY"] = '<api-key>'
request["PRIVATE-SECRET-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payment_method_type": [
"CARD",
"GOOGLE_PAY",
"APPLE_PAY",
"ACH",
"KLARNA_PAY_NOW",
"KLARNA_PAY_LATER",
"IDEAL",
"GIROPAY",
"BANCONTACT",
"SEPA_DEBIT"
],
"params": [
{
"param_id": "API_KEY",
"field_type": "string",
"description": "Stripe Secret API Key",
"editable_field": true,
"optional": false,
"secret": true
}
]
}{
"type": "auth_error",
"code": "INSUFFICIENT_SCOPE",
"message": "API key is missing required scope 'connections:read'"
}{
"type": "not_found",
"code": "PROVIDER_NOT_FOUND",
"message": "Provider 'NOT_A_PROVIDER' is not in the Yuno provider catalog"
}